@extends('Shared.Layouts.Master')

@section('title')
@parent
Event Attendees
@stop


@section('page_title')
<i class="ico-users"></i>
Attendees
@stop

@section('top_nav')
@include('ManageEvent.Partials.TopNav')
@stop

@section('menu')
@include('ManageEvent.Partials.Sidebar')
@stop


@section('head')
 
@stop

@section('page_header')

<div class="col-md-9">
    <div class="btn-toolbar" role="toolbar">
        <div class="btn-group btn-group-responsive">
            <button data-modal-id='CreateTicket' href='javascript:void(0);'  data-href="{{route('showCreateAttendee', ['event_id'=>$event->id])}}" class='loadModal btn btn-success' type="button" ><i class="ico-ticket"></i> Add Attendee</button>
        </div>
        <div class="btn-group btn-group btn-group-responsive">
            <a class='btn btn-success' href="{{route('showPrintAttendees', ['event_id'=>$event->id])}}" target="_blank" ><i class="ico-print"></i> Print Attendee List</a>
            <button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown">
                <i class="ico-users"></i> Export <span class="caret"></span>
            </button>
            <ul class="dropdown-menu" role="menu">
                <li><a href="{{route('showExportAttendees', ['event_id'=>$event->id,'export_as'=>'xlsx'])}}">Excel (XLSX)</a></li>
                <li><a href="{{route('showExportAttendees', ['event_id'=>$event->id,'export_as'=>'xls'])}}">Excel (XLS)</a></li>
                <li><a href="{{route('showExportAttendees', ['event_id'=>$event->id,'export_as'=>'csv'])}}">CSV</a></li>
                <li><a href="{{route('showExportAttendees', ['event_id'=>$event->id,'export_as'=>'html'])}}">HTML</a></li>
            </ul>      
        </div>
        <div class="btn-group btn-group-responsive">
            <button data-modal-id='MessageAttendees' href='javascript:void(0);'  data-href="{{route('showMessageAttendees', ['event_id'=>$event->id])}}" class='loadModal btn btn-success' type="button" ><i class="ico-envelope"></i> Message</button>
        </div>
    </div>
</div>
<div class="col-md-3">
   {!! Form::open(array('url' => route('showEventAttendees', ['event_id'=>$event->id,'sort_by'=>$sort_by]), 'method' => 'get')) !!}
    <div class="input-group">
        <input name='q' value="{{$q or ''}}" placeholder="Search Attendees.." type="text" class="form-control">
        <span class="input-group-btn">
            <button class="btn btn-default" type="submit"><i class="ico-search"></i></button>
        </span>
    </div>
   {!! Form::close() !!}
</div>
@stop


@section('content')

<!--Start Attendees table-->
<div class="row">
    <div class="col-md-12">
        @if($attendees->count())
        <div class="panel">             

            <div class="table-responsive">
                <table class="table " >
                    <thead>
                        <tr>
<!--                            <th width="5%"></th>-->
                            <th>
                               {!!Html::sortable_link('Name', $sort_by, 'first_name', $sort_order, ['q' => $q , 'page' => $attendees->currentPage()])!!}
                            </th>
                            <th>
                               {!!Html::sortable_link('Email', $sort_by, 'email', $sort_order, ['q' => $q , 'page' => $attendees->currentPage()])!!}
                            </th>
                            <th>
                               {!!Html::sortable_link('Ticket', $sort_by, 'ticket_id', $sort_order, ['q' => $q , 'page' => $attendees->currentPage()])!!}
                            </th>
                            <th>
                               {!!Html::sortable_link('Order Ref.', $sort_by, 'order_reference', $sort_order, ['q' => $q , 'page' => $attendees->currentPage()])!!}
                            </th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach($attendees as $attendee)
                        <tr class="attendee_{{$attendee->id}} {{$attendee->is_cancelled ? 'danger' : ''}}">
                            <td>{{{$attendee->full_name}}}</td>
                            <td>
                                <a 
                                    data-modal-id='MessageAttendee'
                                    href='javascript:void(0);' 
                                    data-href="{{route('showMessageAttendee', ['attendee_id'=>$attendee->id])}}"
                                    class='loadModal '
                                    > {{$attendee->email}}</a>
                            </td>
                            <td>
                                    {{{$attendee->ticket->title}}}
                            </td>
                            <td>
                                <a href='javascript:void(0);' data-modal-id='view-order-{{ $attendee->order->id }}' data-href="{{route('showManageOrder', ['order_id'=>$attendee->order->id])}}" title="View Order #{{$attendee->order->order_reference}}" class="loadModal">
                                    #{{$attendee->order->order_reference}}
                                </a>
                            </td>
                            <td class="text-center">
                                @if($attendee->email)
                                <a 
                                    data-modal-id='MessageAttendee'
                                    href='javascript:void(0);' 
                                    data-href="{{route('showMessageAttendee', ['attendee_id'=>$attendee->id])}}"
                                    class='loadModal btn  btn-xs btn-primary'
                                    > Message</a>
                                @endif

                                <a 
                                    data-modal-id='EditAttendee'
                                    href='javascript:void(0);' 
                                    data-href="{{route('showEditAttendee', ['event_id'=>$event->id, 'attendee_id'=>$attendee->id])}}"
                                    class='loadModal btn  btn-xs btn-primary'
                                    > Edit</a>

                                <a 
                                    data-modal-id='CancelAttendee'
                                    href='javascript:void(0);' 
                                    data-href="{{route('showCancelAttendee', ['event_id'=>$event->id, 'attendee_id'=>$attendee->id])}}"
                                    class='loadModal btn  btn-xs btn-danger'
                                    > Cancel</a>
                            </td>
                        </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
        @else

        @if(!empty($q))
        @include('Shared.Partials.NoSearchResults')
        @else
        @include('ManageEvent.Partials.AttendeesBlankSlate')
        @endif

        @endif
    </div>
    <div class="col-md-12">
        {!! $attendees->render() !!}
    </div>
</div>    <!--/End attendees table-->

@stop


