@extends('Shared.Layouts.MasterWithoutMenus')

@section('title')
Forgot Password
@stop


@section('content')



<div class="row">
    <div class="col-md-4 col-md-offset-4">

       {!! Form::open(array('url' => route('postResetPassword'), 'class' => 'panel')) !!}

        <div class="panel-body">

            <div class="logo">
               {!!HTML::image('assets/images/logo-100x100-lightBg.png')!!}
            </div>

            @if (Session::has('status'))
            <div class="alert alert-info">
                An email with the password reset has been sent to your email.
            </div>
            @else

            @if (count($errors) > 0)
            <div class="alert alert-danger">
                <strong>Whoops!</strong> There were some problems with your input.<br><br>
                <ul>
                    @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
            @endif

            <div class="form-group">
               {!! Form::label('email', 'Your Email') !!}
               {!! Form::text('email', null, ['class' => 'form-control']) !!}
            </div>
            <div class="form-group">
               {!! Form::label('password', 'New Password') !!}
               {!! Form::password('password',  ['class' => 'form-control']) !!}
            </div>
            <div class="form-group">
               {!! Form::label('password_confirmation', 'Confirm Password') !!}
               {!! Form::password('password_confirmation',  ['class' => 'form-control']) !!}
            </div>
           {!! Form::hidden('token',  $token) !!}
            <div class="form-group nm">
                <button type="submit" class="btn btn-block btn-success">Submit</button>
            </div>
            <div class="signup">
              <a class="semibold" href="{{route('login')}}">
                  <i class="ico ico-arrow-left"></i> Back to login
              </a>
            </div>
        </div>
       {!! Form::close() !!}


        @endif
    </div>
</div>

@stop